Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.deployment.cache
Class DeploymentCache

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.deployment.cache.DeploymentCache

All Implemented Interfaces:
  Deployer, DeployerMBean, DeploymentCacheMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, Service, ServiceMBean

public class DeploymentCache
extends ServiceMBeanSupport
implements Deployer, DeploymentCacheMBean

A Deployer-like service which intercepts deploy/undeploy calls to MainDeployer and provides local caching of target URLs using local disk.

Version:
  `$Revision: 1.8 $`
Author:
  Jason Dillon

Field Summary
`protected Deployer` | `deployer` A proxy to the deployer we are using.
`protected DeploymentStore` | `store` A proxy to the deployment store we are using.

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`log, server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`DeploymentCache()`

Method Summary
`protected void` | `createService()` Sub-classes should override this method to provide custum 'create' logic.
`void` | `deploy(URL url)` Deploys a package identified by a URL
`protected void` | `destroyService()` Sub-classes should override this method to provide custum 'destroy' logic.
`javax.management.ObjectName` | `getDeployer()`
`javax.management.ObjectName` | `getStore()`
`boolean` | `isDeployed(URL url)` Tells you if a packaged identified by a URL is deployed.
`protected boolean` | `isInvalid(URL orig, URL stored)`
`void` | `setDeployer(javax.management.ObjectName deployerName)`
`void` | `setStore(javax.management.ObjectName storeName)`
`protected void` | `startService()` Sub-classes should override this method to provide custum 'start' logic.
`protected void` | `stopService()` Sub-classes should override this method to provide custum 'stop' logic.
`void` | `undeploy(URL url)` Undeploys a package identified by a URL

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`create, destroy, getLog, getName, getNextNotificationSequenceNumber, getObjectName, getServer, getServiceName, getState, getStateString, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister, start, stop`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Field Detail

### deployer

    protected Deployer deployer

  A proxy to the deployer we are using.

### store

    protected DeploymentStore store

  A proxy to the deployment store we are using.

Constructor Detail

### DeploymentCache

    public DeploymentCache()

Method Detail

### setDeployer

    public void setDeployer(javax.management.ObjectName deployerName)

  Specified by:
    `setDeployer` in interface `DeploymentCacheMBean`

### getDeployer

    public javax.management.ObjectName getDeployer()

  Specified by:
    `getDeployer` in interface `DeploymentCacheMBean`

### setStore

    public void setStore(javax.management.ObjectName storeName)

  Specified by:
    `setStore` in interface `DeploymentCacheMBean`

### getStore

    public javax.management.ObjectName getStore()

  Specified by:
    `getStore` in interface `DeploymentCacheMBean`

### isInvalid

    protected boolean isInvalid(URL orig,
                                URL stored)
                         throws Exception

  Throws:
    `Exception`

### deploy

    public void deploy(URL url)
                throws DeploymentException

  Description copied from interface: `Deployer`
  Deploys a package identified by a URL

  Specified by:
    `deploy` in interface `Deployer`
  Parameters:
    `url` - an `URL` value
  Throws:
    `DeploymentException` - Failed to deploy URL.

### undeploy

    public void undeploy(URL url)
                  throws DeploymentException

  Description copied from interface: `Deployer`
  Undeploys a package identified by a URL

  Specified by:
    `undeploy` in interface `Deployer`
  Parameters:
    `url` - an `URL` value
  Throws:
    `DeploymentException` - Failed to undeploy URL.

### isDeployed

    public boolean isDeployed(URL url)

  Description copied from interface: `Deployer`
  Tells you if a packaged identified by a URL is deployed.

  Specified by:
    `isDeployed` in interface `Deployer`
  Parameters:
    `url` - an `URL` value
  Returns:
    a `boolean` value

### createService

    protected void createService()
                          throws Exception

  Description copied from class: `ServiceMBeanSupport`
  Sub-classes should override this method to provide custum 'create' logic.

  This method is empty, and is provided for convenience when concrete service classes do not need to perform anything specific for this state change.

  Overrides:
    `createService` in class `ServiceMBeanSupport`
  Throws:
    `Exception`

### startService

    protected void startService()
                         throws Exception

  Description copied from class: `ServiceMBeanSupport`
  Sub-classes should override this method to provide custum 'start' logic.

  This method is empty, and is provided for convenience when concrete service classes do not need to perform anything specific for this state change.

  Overrides:
    `startService` in class `ServiceMBeanSupport`
  Throws:
    `Exception`

### stopService

    protected void stopService()
                        throws Exception

  Description copied from class: `ServiceMBeanSupport`
  Sub-classes should override this method to provide custum 'stop' logic.

  This method is empty, and is provided for convenience when concrete service classes do not need to perform anything specific for this state change.

  Overrides:
    `stopService` in class `ServiceMBeanSupport`
  Throws:
    `Exception`

### destroyService

    protected void destroyService()
                           throws Exception

  Description copied from class: `ServiceMBeanSupport`
  Sub-classes should override this method to provide custum 'destroy' logic.

  This method is empty, and is provided for convenience when concrete service classes do not need to perform anything specific for this state change.

  Overrides:
    `destroyService` in class `ServiceMBeanSupport`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.